help required for ubuntu installation

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

help required for ubuntu installation

oguzy
I am tired of trying to install vsm on ubuntu. I am still getting RPC errors at the vsm-api. This time i tried with the virtual-storage-manager-2.1.0. Created the deb files and run the ./install.sh -u ceph -v 2.1

Here is the install.sh that i am using: http://paste.ubuntu.com/14864606/
The one at the 2.1 branch is only rpm compatible. So i am using the old one.

I can say that i followed the Install.pdf, install.sh is enden without errors. I had to fix some minor fixes, i will make pull request to them.

I am seeing RPC errors at vsm-api as here: http://paste.ubuntu.com/14864637/

So any ides what i am doing wrong? Any Ubuntu compatible install.sh that someone can share with me for 2.1?




Reply | Threaded
Open this post in threaded view
|

Re: help required for ubuntu installation

jcalcote
Check cpu usage on controller node. It may be high because of live-lock scenarios we've noticed in the past. This can cause rpc to timeout due to not enough cpu to handle requests in timely fashion.

John